drama.shaders = {};
drama.shaders["glowhorizontal"] = {
	src: "varying mediump vec2 vTex;\nuniform mediump sampler2D samplerFront;\n\nuniform mediump vec2 pixelSize;\nuniform mediump float intensity;\n\nvoid main(void)\n{\n	mediump vec4 sum = vec4(0.0);\n	mediump float pixelWidth = pixelSize.x;\n	mediump float halfPixelWidth = pixelWidth / 2.0;	sum += texture2D(samplerFront, vTex - vec2(pixelWidth * 7.0 + halfPixelWidth, 0.0)) * 0.06;\n	sum += texture2D(samplerFront, vTex - vec2(pixelWidth * 5.0 + halfPixelWidth, 0.0)) * 0.10;\n	sum += texture2D(samplerFront, vTex - vec2(pixelWidth * 3.0 + halfPixelWidth, 0.0)) * 0.13;\n	sum += texture2D(samplerFront, vTex - vec2(pixelWidth * 1.0 + halfPixelWidth, 0.0)) * 0.16;\n	mediump vec4 front = texture2D(samplerFront, vTex);\n	sum += front * 0.10;\n	sum += texture2D(samplerFront, vTex + vec2(pixelWidth * 1.0 + halfPixelWidth, 0.0)) * 0.16;\n	sum += texture2D(samplerFront, vTex + vec2(pixelWidth * 3.0 + halfPixelWidth, 0.0)) * 0.13;\n	sum += texture2D(samplerFront, vTex + vec2(pixelWidth * 5.0 + halfPixelWidth, 0.0)) * 0.10;\n	sum += texture2D(samplerFront, vTex + vec2(pixelWidth * 7.0 + halfPixelWidth, 0.0)) * 0.06;\n	\n	gl_FragColor = mix(front, max(front, sum), intensity);\n}\n",
	extendBoxHorizontal: 8,
	extendBoxVertical: 8,
	crossSampling: false,
	preservesOpaqueness: false,
	animated: false,
	parameters: [["intensity",0,1]]
};

drama.shaders["glowvertical"] = {
	src: "varying mediump vec2 vTex;\nuniform mediump sampler2D samplerFront;\n\nuniform mediump vec2 pixelSize;\nuniform mediump float intensity;\n\nvoid main(void)\n{\n	mediump vec4 sum = vec4(0.0);\n	mediump float pixelHeight = pixelSize.y;\n	mediump float halfPixelHeight = pixelHeight / 2.0;	sum += texture2D(samplerFront, vTex - vec2(0.0, pixelHeight * 7.0 + halfPixelHeight)) * 0.06;\n	sum += texture2D(samplerFront, vTex - vec2(0.0, pixelHeight * 5.0 + halfPixelHeight)) * 0.10;\n	sum += texture2D(samplerFront, vTex - vec2(0.0, pixelHeight * 3.0 + halfPixelHeight)) * 0.13;\n	sum += texture2D(samplerFront, vTex - vec2(0.0, pixelHeight * 1.0 + halfPixelHeight)) * 0.16;\n	mediump vec4 front = texture2D(samplerFront, vTex);\n	sum += front * 0.10;\n	sum += texture2D(samplerFront, vTex + vec2(0.0, pixelHeight * 1.0 + halfPixelHeight)) * 0.16;\n	sum += texture2D(samplerFront, vTex + vec2(0.0, pixelHeight * 3.0 + halfPixelHeight)) * 0.13;\n	sum += texture2D(samplerFront, vTex + vec2(0.0, pixelHeight * 5.0 + halfPixelHeight)) * 0.10;\n	sum += texture2D(samplerFront, vTex + vec2(0.0, pixelHeight * 7.0 + halfPixelHeight)) * 0.06;\n	\n	gl_FragColor = mix(front, max(front, sum), intensity);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: false,
	animated: false,
	parameters: [["intensity",0,1]]
};

drama.shaders["setcolor"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp vec3 setColor;\n\nvoid main(void)\n{\n	lowp float a = texture2D(samplerFront, vTex).a;\n	\n	gl_FragColor = vec4(setColor.r * a, setColor.g * a, setColor.b * a, a);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["setColor",0,2]]
};
